# Adsorption Breakthrough Analysis 

This program is used to analyse the breakthrough curves generated by adsorption in the rig created by Dr E.G (in the lab as of 1st of September 2022).

The folders include:

* Code
  * Contains the python script
* Explaining program 
  * This contains a jupyter notebook explaining how to use the Python script and some extra information if neeeded
* Generating results
  * Contains a simple jupyter notebook with the essentials needed to run and produce the required outputs

## Package interaction

We reccomend to interact with this package either through downloading and running locally or by accessing the completely online version (link below).

If you are unfamiliar with downloads then using the online version is recommended.

Access the online notebook here: [online notebook](https://deepnote.com/workspace/fmcil-1f244322-b560-46a9-bfe3-cb29fad834c7/project/AdsorptionBreakthroughAnalysis-06bd4f69-f127-42b0-bbc2-792ba35155d4/%2FExplaining_program.ipynb)

## Usage 

The program takes in MS and coriolis readings and then creates a dataframe containing only the relevant breakthrough data

This is done by the use of classes. Each part of the experiment will be an object containing the related data. for example 14%_CO2_UiO66_sample may be one object.

To create the object setup the ExperimentalSetup dictionary with the relevant values and the MS and coriolis files must be in the same folder and inputted to the ExperimentalSetup aswell. The object is then created by calling the class and inputting the relevant conditions.

Once a blank and sample object are created you can call the standard output function in order to produce the standard set of results.

This is all explained further (with functions/methods called in code cells) in the "Explaining program" notebook

## Acknowledgements

This work is part of the PrISMa Project (299659), funded through the ACT Programme (Accelerating CCS Technologies, Horizon 2020 Project 294766). Financial contributions from the Department for Business, Energy & Industrial Strategy (BEIS) together with extra funding from the NERC and EPSRC Research Councils, United Kingdom, the Research Council of Norway (RCN), the Swiss Federal Office of Energy (SFOE), and the U.S. Department of Energy are gratefully acknowledged. Additional financial support from TOTAL and Equinor is also gratefully acknowledged.


